diff --git a/discover-xml/discover-xml.c b/discover-xml/discover-xml.c
index d35b3ee..e18fc4a 100644
--- a/discover-xml/discover-xml.c
+++ b/discover-xml/discover-xml.c
@@ -131,9 +131,9 @@ check_status(discover_error_t *status)
 {
     if (status != 0) {
         if (status->code == DISCOVER_ESYS) {
-            err(EX_OSERR, discover_strerror(status));
+            err(EX_OSERR, "%s", discover_strerror(status));
         } else {
-            errx(status->code, discover_strerror(status));
+            errx(status->code, "%s", discover_strerror(status));
         }
     }
 }
diff --git a/discover/discover.c b/discover/discover.c
index 643553f..8ee7a33 100644
--- a/discover/discover.c
+++ b/discover/discover.c
@@ -339,9 +339,9 @@ check_status(discover_error_t *status)
                 break;
             default:
                 if (status->code == DISCOVER_ESYS) {
-                    err(EX_OSERR, discover_strerror(status));
+                    err(EX_OSERR, "%s", discover_strerror(status));
                 } else {
-                    errx(status->code, discover_strerror(status));
+                    errx(status->code, "%s", discover_strerror(status));
                 }
         }
     }
